NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Routing.Port Class Reference

Routing Port Object is a parent class for FixturePort, ExtractPort, FittingPort, Multiport, StockPort and TerminalPort More...

Inheritance diagram for NXOpen.Routing.Port:
NXOpen.SmartObject NXOpen.Routing.IRoutePosition NXOpen.DisplayableObject NXOpen.Routing.ICharacteristic NXOpen.NXObject NXOpen.IFitTo NXOpen.INXObject NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Routing.ExtractPort NXOpen.Routing.FittingPort NXOpen.Routing.FixturePort NXOpen.Routing.MultiPort NXOpen.Routing.ProxyPort NXOpen.Routing.StockOffsetPort NXOpen.Routing.StockPort NXOpen.Routing.TerminalPort

Public Types

enum  CreateRotationVector { No, Yes }
 Used by NXOpen.Routing.FittingPortCollection.CreateFromCsys and Routing.FixturePortCollection.CreateFromCsys to determine if the rotation vector on the port should be created. More...
 
enum  FlowDirectionType { RouteFlowEither, RouteFlowIn, RouteFlowOut, FlowNone }
 Allowed types for flow direction More...
 
enum  PortType {
  UnknownPort, FittingPort, FixturePort, MultiPort,
  TerminalPort, StockPort, StockOffsetPort
}
 Specifies the port type More...
 
- Public Types inherited from NXOpen.SmartObject
enum  UpdateOption {
  DontUpdate, WithinModeling, AfterModeling, AfterParentBody,
  Mixed
}
 Specifies when the smart object updates. More...
 
enum  VisibilityOption { Invisible, Visible, VisibleIfParentInvisible }
 Specifies the smart object visibility. More...
 
- Public Types inherited from NXOpen.DisplayableObject
enum  ObjectFont {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, LongDashed, DottedDashed, Eight = 11,
  Nine, Ten, Eleven
}
 specifies the object font for objects such as lines More...
 
enum  ObjectWidth {
  Normal, Thick, Thin, One = 5,
  Two, Three, Four, Five,
  Six, Seven, Eight, Nine
}
 specifies object width for objects such as lines and text More...
 
- Public Types inherited from NXOpen.NXObject
enum  AttributeType {
  Invalid, Null, Boolean, Integer,
  Real, String, Time, Reference,
  Any = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { Numeric, Textual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

unsafe NXOpen.Routing.FeaturePort AskFeature ()
 Ask NXOpen.Routing.FeaturePort object associated with NXOpen.Routing.Port . More...
 
unsafe NXOpen.Features.WaveRouting AskWaveFeature ()
 Ask NXOpen.Features.WaveRouting object associated with this NXOpen.Routing.Port . More...
 
unsafe
NXOpen.Routing.PortConnection 
Connect ()
 Finds another NXOpen.Routing.Port to connect this port to. More...
 
unsafe void DeleteCharacterstics (NXOpen.Routing.CharacteristicList values)
 Removes the input list of characteristics from this object. More...
 
unsafe void Disconnect ()
 Deletes any NXOpen.Routing.PortConnection objects that reference this port. More...
 
unsafe int FindPortIntegerCharacteristic (string name)
 Searches for an integer characteristics on the port, then on the ports component and prototype port if the port is an occurrence. More...
 
unsafe double FindPortRealCharacteristic (string name)
 Searches for a real characteristics on the port, then on the ports component and prototype port if the port is an occurrence. More...
 
unsafe string FindPortStringCharacteristic (string name)
 Searches for a string characteristics on the port, then on the ports component and prototype port if the port is an occurrence. More...
 
unsafe NXOpen.Vector3d GetAlignmentVector ()
 Retrieves the alignment vector of Port More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetCharacteristics ()
 Get all of the characteristics values on the this object. More...
 
unsafe double GetClockIncrement ()
 The clock angle increment value of NXOpen.Routing.Port More...
 
unsafe NXOpen.Assemblies.Component GetComponent ()
 If this port is an occurrence, returns the component part to which it belongs. More...
 
unsafe void GetConnectedPorts (out NXOpen.Routing.Port connectedPort1, out NXOpen.Routing.Port connectedPort2)
 If port is connected to another port, returns both connected ports. More...
 
unsafe NXOpen.Routing.ControlPoint GetControlPoint ()
 Returns the Routing.ControlPoint to which this port is constrained, if any. More...
 
unsafe double GetCutbackLength ()
 Returns the cutback length of a port, i. More...
 
unsafe
NXOpen.Routing.CharacteristicList 
GetDestinationCharacteristics ()
 Returns the destination characteristics from the input object. More...
 
unsafe double GetEngagement ()
 Returns the engagement distance of a port, i. More...
 
unsafe NXOpen.Point3d GetEngagementPosition ()
 Returns the position of the port taking into account the engagement distance. More...
 
unsafe
NXOpen.Routing.Port.FlowDirectionType 
GetFlowDirection ()
 Get the value of flow direction of NXOpen.Routing.Port More...
 
unsafe double GetForwardExtension ()
 Returns the forward extension value for a port i. More...
 
unsafe NXOpen.Expression GetForwardExtensionObject ()
 Returns the forward extension object for a port. More...
 
unsafe int GetIntegerCharacteristic (string name)
 Get the value of an integer characteristic associated with the input name. More...
 
unsafe NXOpen.NXObject GetOccurrence ()
 Returns the occurrence of the given port. More...
 
unsafe
NXOpen.Routing.PortConnection 
GetPortConnection ()
 If port is connected to another port, returns the Port Connection that links them. More...
 
unsafe NXOpen.Routing.Port.PortType GetPortType ()
 Get the type of Port More...
 
unsafe double GetRealCharacteristic (string name)
 Get the value of a real characteristic associated with the input name. More...
 
unsafe string GetReferenceCharacteristic (string name)
 Gets a reference characteristic from the port. More...
 
unsafe NXOpen.DisplayableObject GetRotationObject ()
 Retrieves the object used to derive the rotation vector of Port More...
 
unsafe NXOpen.Vector3d GetRotationVector ()
 Retrieves the rotation vector of Port More...
 
unsafe NXOpen.Routing.ISegment GetSegment ()
 Return the segment the port position and alignment are derived from Returns a null reference (Nothing in Visual Basic) if the port is not derived from segment More...
 
unsafe NXOpen.Routing.Stock GetStockOfPort ()
 For a Routing.StockPort , returns the Routing.Stock to which this port is attached, if any. More...
 
unsafe string GetStringCharacteristic (string name)
 Get the value of a string characteristic associated with the input name. More...
 
unsafe bool IsEngagementLocked (NXOpen.Routing.Port portToCheck)
 Checks to see if ports are engaged. More...
 
unsafe bool IsRotationLocked (NXOpen.Routing.Port portToCheck)
 Checks if ports have their rotation vectors locked. More...
 
unsafe
NXOpen.Positioning.Constraint[] 
LockEngagement (NXOpen.Routing.Port portToLock)
 Locks the port engagement using dcm3 constraints More...
 
unsafe
NXOpen.Positioning.Constraint[] 
LockRotation (NXOpen.Routing.Port portToLock)
 Locks the port rotation vector using dcm3 constraints More...
 
unsafe void ReorderFeature ()
 Reorders the NXOpen.Routing.FeaturePort object associated with NXOpen.Routing.Port after all of the features on which the port feature depends. More...
 
unsafe void SetCharacteristic (string name, int value)
 Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, double value)
 Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic (string name, string value)
 Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. More...
 
unsafe void SetCharacteristic2 (string title, int value)
 Sets or creates an integer type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, double value)
 Sets or creates a double type attribute associated with the input title. More...
 
unsafe void SetCharacteristic2 (string title, string value)
 Sets or creates a string type type attribute associated with the input title. More...
 
unsafe void SetCharacteristics (NXOpen.Routing.CharacteristicList values)
 Set all of the characteristics values on this object. More...
 
unsafe void SetCharacteristics2 (NXOpen.Routing.CharacteristicList values)
 Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already. More...
 
unsafe void SetClockIncrement (double increment)
 The clock angle increment value of NXOpen.Routing.Port More...
 
unsafe void SetFlowDirection (NXOpen.Routing.Port.FlowDirectionType flowDirection)
 Set the flow direction value of NXOpen.Routing.Port More...
 
unsafe void SetReferenceCharacteristic (string name, string value)
 Sets a reference characteristics on the port. More...
 
unsafe void UnlockEngagement (NXOpen.Routing.Port portToUnlock)
 Unlocks the port engagement More...
 
unsafe void UnlockRotation (NXOpen.Routing.Port portToUnlock)
 Unlocks the port rotation More...
 
- Public Member Functions inherited from NXOpen.SmartObject
unsafe void Evaluate ()
 Evaluate a smart object. More...
 
unsafe void ProtectFromDelete ()
 Protects the SmartObject from being deleted if any referencing objects are deleted. More...
 
unsafe void ReleaseDeleteProtection ()
 Removes delete protection from the SmartObject. More...
 
unsafe void RemoveParameters ()
 Removes the smart object parameters. More...
 
unsafe void ReplaceParameters (NXOpen.SmartObject otherSo)
 Edit a smart object by replacing its parameters using parameters of other smart object of the same class. More...
 
unsafe void SetVisibility (NXOpen.SmartObject.VisibilityOption visibility)
 Sets the visibility. More...
 
- Public Member Functions inherited from NXOpen.DisplayableObject
unsafe void Blank ()
 Blanks the object. More...
 
unsafe void Highlight ()
 Highlights the object. More...
 
unsafe void RedisplayObject ()
 Redisplays the object in all views. More...
 
unsafe void RemoveViewDependency ()
 Remove dependency on all views from an object. More...
 
unsafe void SetNameLocation (NXOpen.Point3d location)
 Sets the location of the object's name. More...
 
unsafe void Unblank ()
 Unblanks the object. More...
 
unsafe void Unhighlight ()
 Unhighlights the object. More...
 
- Public Member Functions inherited from NXOpen.NXObject
unsafe NXOpen.AttributeIterator CreateAttributeIterator ()
 Create an attribute iterator More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type)
 Deletes all attributes of a specific type. More...
 
unsafe void DeleteAllAttributesByType (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title)
 Deletes an attribute by type and title. More...
 
unsafe void DeleteAttributeByTypeAndTitle (NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
unsafe void DeleteUserAttribute (NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
unsafe void DeleteUserAttributes (NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator More...
 
unsafe void DeleteUserAttributes (NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
unsafe NXOpen.INXObject FindObject (string journalIdentifier)
 Finds the NXOpen.NXObject with the given identifier as recorded in a journal. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetAttributeTitlesByType (NXOpen.NXObject.AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
unsafe bool GetBooleanUserAttribute (string title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.ComputationalTime 
GetComputationalTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe int GetIntegerAttribute (string title)
 Gets an integer attribute by title. More...
 
unsafe int GetIntegerUserAttribute (string title, int index)
 Gets an integer attribute by Title and array Index. More...
 
unsafe bool GetNextUserAttribute (NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
unsafe string GetPdmReferenceAttributeValue (string attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
unsafe double GetRealAttribute (string title)
 Gets a real attribute by title. More...
 
unsafe double GetRealUserAttribute (string title, int index)
 Gets a real attribute by Title and array Index. More...
 
unsafe string GetReferenceAttribute (string title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
unsafe string GetStringAttribute (string title)
 Gets a string attribute value by title. More...
 
unsafe string GetStringUserAttribute (string title, int index)
 Gets a string attribute by Title and array Index. More...
 
unsafe string GetTimeAttribute (NXOpen.NXObject.DateAndTimeFormat format, string title)
 Gets a time attribute by title. More...
 
unsafe string GetTimeUserAttribute (string title, int index)
 Gets a time attribute by Title and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation 
GetUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttribute (string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
unsafe string GetUserAttributeAsString (string title, NXOpen.NXObject.AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
unsafe int GetUserAttributeCount (NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
unsafe bool GetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type)
 Determine the lock of the given attribute. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (NXOpen.AttributeIterator iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
unsafe
NXOpen.NXObject.AttributeInformation[] 
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
unsafe string[] GetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
unsafe int GetUserAttributeSize (string title, NXOpen.NXObject.AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
unsafe NXOpen.NXObject[] GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
unsafe bool HasUserAttribute (NXOpen.AttributeIterator iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator More...
 
unsafe bool HasUserAttribute (string title, NXOpen.NXObject.AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
unsafe void Print ()
 Prints a representation of this object to the system log file. More...
 
unsafe void SetAttribute (string title, int value)
 Creates or modifies an integer attribute. More...
 
unsafe void SetAttribute (string title, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, double value)
 Creates or modifies a real attribute. More...
 
unsafe void SetAttribute (string title, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title, string value)
 Creates or modifies a string attribute. More...
 
unsafe void SetAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetAttribute (string title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
unsafe void SetAttribute (string title, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetBooleanUserAttribute (string title, int index, bool value, NXOpen.Update.Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
unsafe void SetName (string name)
 Sets the custom name of the object. More...
 
unsafe void SetPdmReferenceAttribute (string attributeTitle, string attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
unsafe void SetReferenceAttribute (string title, string value)
 Creates or modifies a string attribute which uses a reference string. More...
 
unsafe void SetReferenceAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
unsafe void SetTimeAttribute (string title, string value)
 Creates or modifies a time attribute. More...
 
unsafe void SetTimeAttribute (string title, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetTimeUserAttribute (string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, int value, NXOpen.Update.Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, double value, NXOpen.Update.Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, string value, NXOpen.Update.Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
unsafe void SetUserAttribute (string title, int index, NXOpen.Update.Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
unsafe void SetUserAttributeLock (string title, NXOpen.NXObject.AttributeType type, bool @lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AllowMultipleConnections [get, set]
 Returns or sets the Allow Multiple Connections property for a NXOpen.Routing.Port . More...
 
unsafe double BackwardExtension [get, set]
 Returns or sets the backward extension value for a port (i. More...
 
unsafe NXOpen.Expression BackwardExtensionObject [get, set]
 Returns or sets the backward extension object for a port. More...
 
unsafe NXOpen.Expression ClockIncrementObject [get, set]
 Returns or sets the clock angle increment expression of a NXOpen.Routing.Port , i. More...
 
unsafe NXOpen.Point Point [get, set]
 Returns or sets the NXOpen.Point that specifies the location of the NXOpen.Routing.IRoutePosition object. More...
 
unsafe NXOpen.Point3d Position [get, set]
 Returns or sets the current location of the object in ABS coordinates. More...
 
- Properties inherited from NXOpen.SmartObject
unsafe
NXOpen.SmartObject.UpdateOption 
Update [get]
 Returns the update option. More...
 
unsafe
NXOpen.SmartObject.VisibilityOption 
Visibility [get]
 Returns the visibility. More...
 
- Properties inherited from NXOpen.DisplayableObject
unsafe int Color [get, set]
 Returns or sets the color of the object. More...
 
unsafe bool IsBlanked [get]
 Returns the blank status of this object. More...
 
unsafe int Layer [get, set]
 Returns or sets the layer that the object is in. More...
 
unsafe
NXOpen.DisplayableObject.ObjectFont 
LineFont [get, set]
 Returns or sets the line font of the object. More...
 
unsafe
NXOpen.DisplayableObject.ObjectWidth 
LineWidth [get, set]
 Returns or sets the line width of the object. More...
 
unsafe NXOpen.Point3d NameLocation [get]
 Returns the location of the object's name. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.Routing.IRoutePosition
NXOpen.Point Point [get, set]
 Returns or sets the NXOpen.Point that specifies the location of the NXOpen.Routing.IRoutePosition object. More...
 
NXOpen.Point3d Position [get, set]
 Returns or sets the current location of the object in ABS coordinates. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Routing Port Object is a parent class for FixturePort, ExtractPort, FittingPort, Multiport, StockPort and TerminalPort

Creator not available in KF.

Created in NX4.0.0

Member Enumeration Documentation

Used by NXOpen.Routing.FittingPortCollection.CreateFromCsys and Routing.FixturePortCollection.CreateFromCsys to determine if the rotation vector on the port should be created.

Enumerator
No 

Do not create the rotation vector on the port created from a coordinate system.

Yes 

Create the rotation vector on the port created from a coordinate system.

Allowed types for flow direction

Enumerator
RouteFlowEither 
RouteFlowIn 
RouteFlowOut 
FlowNone 

Specifies the port type

Enumerator
UnknownPort 

Unknown Port

FittingPort 

Fitting Port

FixturePort 

Fixture Port

MultiPort 

Multi Port

TerminalPort 

Terminal Port

StockPort 

Stock Port

StockOffsetPort 

Stock Offset Port

Member Function Documentation

unsafe NXOpen.Routing.FeaturePort NXOpen.Routing.Port.AskFeature ( )
inline

Ask NXOpen.Routing.FeaturePort object associated with NXOpen.Routing.Port .

Returns a null reference (Nothing in Visual Basic) if the port was created in preNX6 release and not converted to NXOpen.Routing.FeaturePort or the port is a WAVE-linked port. To convert NXOpen.Routing.Port object to NXOpen.Routing.FeaturePort object use Routing.PortCollection.ConvertToFeatures .

Created in NX6.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Features.WaveRouting NXOpen.Routing.Port.AskWaveFeature ( )
inline

Ask NXOpen.Features.WaveRouting object associated with this NXOpen.Routing.Port .

Returns a null reference (Nothing in Visual Basic) if the port is not WAVE-linked.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.PortConnection NXOpen.Routing.Port.Connect ( )
inline

Finds another NXOpen.Routing.Port to connect this port to.

Builds a NXOpen.Routing.PortConnection object if a connectable port is found. See Routing.PortConnectionCollection.CanPortsConnect . Does nothing if this port already has a NXOpen.Routing.PortConnection object referencing it.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.Port.DeleteCharacterstics ( NXOpen.Routing.CharacteristicList  values)
inline

Removes the input list of characteristics from this object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
values

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.Disconnect ( )
inline

Deletes any NXOpen.Routing.PortConnection objects that reference this port.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

unsafe int NXOpen.Routing.Port.FindPortIntegerCharacteristic ( string  name)
inline

Searches for an integer characteristics on the port, then on the ports component and prototype port if the port is an occurrence.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns
unsafe double NXOpen.Routing.Port.FindPortRealCharacteristic ( string  name)
inline

Searches for a real characteristics on the port, then on the ports component and prototype port if the port is an occurrence.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns
unsafe string NXOpen.Routing.Port.FindPortStringCharacteristic ( string  name)
inline

Searches for a string characteristics on the port, then on the ports component and prototype port if the port is an occurrence.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns
unsafe NXOpen.Vector3d NXOpen.Routing.Port.GetAlignmentVector ( )
inline

Retrieves the alignment vector of Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Vector direction in absolute co-ordinate system
unsafe NXOpen.Routing.CharacteristicList NXOpen.Routing.Port.GetCharacteristics ( )
inline

Get all of the characteristics values on the this object.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe double NXOpen.Routing.Port.GetClockIncrement ( )
inline

The clock angle increment value of NXOpen.Routing.Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Clock increment value in degrees
unsafe NXOpen.Assemblies.Component NXOpen.Routing.Port.GetComponent ( )
inline

If this port is an occurrence, returns the component part to which it belongs.

Returns a null reference (Nothing in Visual Basic) otherwise.

Created in NX8.0.3

License requirements: routing_base ("Routing Basic")

Returns
unsafe void NXOpen.Routing.Port.GetConnectedPorts ( out NXOpen.Routing.Port  connectedPort1,
out NXOpen.Routing.Port  connectedPort2 
)
inline

If port is connected to another port, returns both connected ports.

Returns a null reference (Nothing in Visual Basic) otherwise.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
connectedPort1
connectedPort2
unsafe NXOpen.Routing.ControlPoint NXOpen.Routing.Port.GetControlPoint ( )
inline

Returns the Routing.ControlPoint to which this port is constrained, if any.

Returns a null reference (Nothing in Visual Basic) otherwise.

Created in NX8.0.3

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Routing.Port.GetCutbackLength ( )
inline

Returns the cutback length of a port, i.

e. the length along the wire from * the port where individual wires leave a bundle to attach to pins

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Cutback length
unsafe NXOpen.Routing.CharacteristicList NXOpen.Routing.Port.GetDestinationCharacteristics ( )
inline

Returns the destination characteristics from the input object.

Retrieves the description of which destination characteristics to read from the application view and then reads those destination characteristics from the object

  • Ports: Reads characteristics from the port.
  • RCPs: Attempts to find a port at the RCP, reads characteristics from the port if it exists, otherwise reads from the stock associated with the rcp.
  • Segments: Reads characteristics from the stock associated with the segment.
  • Components: Reads characteristics directly from the component.
  • Stock: Reads characteristics from the stock or from the stock's data.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe double NXOpen.Routing.Port.GetEngagement ( )
inline

Returns the engagement distance of a port, i.

e. the distance * behind the port that another fitting or stock may engage

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Engagement distance
unsafe NXOpen.Point3d NXOpen.Routing.Port.GetEngagementPosition ( )
inline

Returns the position of the port taking into account the engagement distance.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Returns
Location of engagement position in ABS coordinates
unsafe NXOpen.Routing.Port.FlowDirectionType NXOpen.Routing.Port.GetFlowDirection ( )
inline

Get the value of flow direction of NXOpen.Routing.Port

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe double NXOpen.Routing.Port.GetForwardExtension ( )
inline

Returns the forward extension value for a port i.

e. the minimum length that * a segment must remain straight coming out of a NXOpen.Routing.Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Port extension
unsafe NXOpen.Expression NXOpen.Routing.Port.GetForwardExtensionObject ( )
inline

Returns the forward extension object for a port.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Returns
Forward Extension Expression.
unsafe int NXOpen.Routing.Port.GetIntegerCharacteristic ( string  name)
inline

Get the value of an integer characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe NXOpen.NXObject NXOpen.Routing.Port.GetOccurrence ( )
inline

Returns the occurrence of the given port.

If the given port is a port extract, uses the port extract data to find the source occurrence. Only establishes an occurrence if the extract xform and the source (prototype) port are loaded. Returns a a null reference (Nothing in Visual Basic) otherwise.

Given any other port, tries to find an occurrence under the work occurrence.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.PortConnection NXOpen.Routing.Port.GetPortConnection ( )
inline

If port is connected to another port, returns the Port Connection that links them.

Returns a null reference (Nothing in Visual Basic) otherwise.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.Port.PortType NXOpen.Routing.Port.GetPortType ( )
inline

Get the type of Port

Created in NX7.5.2

License requirements: routing_base ("Routing Basic")

Returns
Port Type
unsafe double NXOpen.Routing.Port.GetRealCharacteristic ( string  name)
inline

Get the value of a real characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe string NXOpen.Routing.Port.GetReferenceCharacteristic ( string  name)
inline

Gets a reference characteristic from the port.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns
unsafe NXOpen.DisplayableObject NXOpen.Routing.Port.GetRotationObject ( )
inline

Retrieves the object used to derive the rotation vector of Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Object used to derive the rotation vector
unsafe NXOpen.Vector3d NXOpen.Routing.Port.GetRotationVector ( )
inline

Retrieves the rotation vector of Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
Vector direction in absolute co-ordinate system
unsafe NXOpen.Routing.ISegment NXOpen.Routing.Port.GetSegment ( )
inline

Return the segment the port position and alignment are derived from Returns a null reference (Nothing in Visual Basic) if the port is not derived from segment

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Returns
ISegment from which the port is derived
unsafe NXOpen.Routing.Stock NXOpen.Routing.Port.GetStockOfPort ( )
inline

For a Routing.StockPort , returns the Routing.Stock to which this port is attached, if any.

Returns a null reference (Nothing in Visual Basic) otherwise for all other types of ports.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe string NXOpen.Routing.Port.GetStringCharacteristic ( string  name)
inline

Get the value of a string characteristic associated with the input name.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
Returns

Implements NXOpen.Routing.ICharacteristic.

unsafe bool NXOpen.Routing.Port.IsEngagementLocked ( NXOpen.Routing.Port  portToCheck)
inline

Checks to see if ports are engaged.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToCheck
Returns
unsafe bool NXOpen.Routing.Port.IsRotationLocked ( NXOpen.Routing.Port  portToCheck)
inline

Checks if ports have their rotation vectors locked.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToCheck
Returns
unsafe NXOpen.Positioning.Constraint [] NXOpen.Routing.Port.LockEngagement ( NXOpen.Routing.Port  portToLock)
inline

Locks the port engagement using dcm3 constraints

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToLock
Returns
Newly created port constraints
unsafe NXOpen.Positioning.Constraint [] NXOpen.Routing.Port.LockRotation ( NXOpen.Routing.Port  portToLock)
inline

Locks the port rotation vector using dcm3 constraints

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToLock
Returns
Newly created port constraints
unsafe void NXOpen.Routing.Port.ReorderFeature ( )
inline

Reorders the NXOpen.Routing.FeaturePort object associated with NXOpen.Routing.Port after all of the features on which the port feature depends.

Does nothing if the port was created in preNX6 release and not converted to NXOpen.Routing.FeaturePort . To convert NXOpen.Routing.Port object to NXOpen.Routing.FeaturePort object use Routing.PortCollection.ConvertToFeatures .

Created in NX6.0.5

License requirements: routing_base ("Routing Basic")

unsafe void NXOpen.Routing.Port.SetCharacteristic ( string  name,
int  value 
)
inline

Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to integer if it's type is not integer.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristic ( string  name,
double  value 
)
inline

Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to real if it's type is not real.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristic ( string  name,
string  value 
)
inline

Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already.

Converts the type of an existing characteristic with the same name to string if it's type is not string.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristic2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
name
value

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristic2 ( string  title,
int  value 
)
inline

Sets or creates an integer type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristic2 ( string  title,
double  value 
)
inline

Sets or creates a double type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristic2 ( string  title,
string  value 
)
inline

Sets or creates a string type type attribute associated with the input title.

creating a new attribute if one doesn't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit a part attribute on the stock part. For legacy parts where the attribute is on the stock component, the attribute will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit an attribute on the corresponding instance. For legacy parts where the attribute is on the component, the attribute will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create an attribute on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
titleUnique title for the Attribute or Characteristic
valueNew Value to be set on the Attribute

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristics ( NXOpen.Routing.CharacteristicList  values)
inline

Set all of the characteristics values on this object.

Created in NX4.0.0

Deprecated in NX11.0.0. Use NXOpen.Routing.ICharacteristic.SetCharacteristics2 instead.

License requirements: routing_base ("Routing Basic")

Parameters
values

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetCharacteristics2 ( NXOpen.Routing.CharacteristicList  values)
inline

Sets all attributes associated with the titles from the input list, creating new attributes for the ones that don't exist already.

If the method is called on a stock Assemblies.Component , the method will create or edit part attributes on the stock part. For legacy parts where the attributes are on the stock component, the attributes will be moved to the stock part.

If the method is called on a non-stock Assemblies.Component , the method will create or edit attributes on the corresponding instance. For legacy parts where the attribute is on the component, the attributes will be moved to the corresponding instance.

If the method is called on any non-component object, the method will access or create attributes on the object itself.

Created in NX11.0.0

License requirements: routing_base ("Routing Basic")

Parameters
valuesNXOpen.Routing.CharacteristicList having the titles, types and values of Attributes to be set

Implements NXOpen.Routing.ICharacteristic.

unsafe void NXOpen.Routing.Port.SetClockIncrement ( double  increment)
inline

The clock angle increment value of NXOpen.Routing.Port

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
incrementClock increment value in degrees
unsafe void NXOpen.Routing.Port.SetFlowDirection ( NXOpen.Routing.Port.FlowDirectionType  flowDirection)
inline

Set the flow direction value of NXOpen.Routing.Port

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
flowDirection
unsafe void NXOpen.Routing.Port.SetReferenceCharacteristic ( string  name,
string  value 
)
inline

Sets a reference characteristics on the port.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
name
value
unsafe void NXOpen.Routing.Port.UnlockEngagement ( NXOpen.Routing.Port  portToUnlock)
inline

Unlocks the port engagement

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToUnlock
unsafe void NXOpen.Routing.Port.UnlockRotation ( NXOpen.Routing.Port  portToUnlock)
inline

Unlocks the port rotation

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
portToUnlock

Property Documentation

unsafe bool NXOpen.Routing.Port.AllowMultipleConnections
getset

Returns or sets the Allow Multiple Connections property for a NXOpen.Routing.Port .

The property controls the number of connections that can be routed to this NXOpen.Routing.Port . Although this can be specified in the Mechanical application, the Electrical application is where this property is most used.

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe double NXOpen.Routing.Port.BackwardExtension
getset

Returns or sets the backward extension value for a port (i.

e. the minimum length that * a segment must remain straight going into the back of a NXOpen.Routing.Port )

Created in NX11.0.1

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.Routing.Port.BackwardExtensionObject
getset

Returns or sets the backward extension object for a port.

Created in NX11.0.1

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Expression NXOpen.Routing.Port.ClockIncrementObject
getset

Returns or sets the clock angle increment expression of a NXOpen.Routing.Port , i.

e. an expression representing the minimum angle for clocking the NXOpen.Routing.Port .

Created in NX5.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Point NXOpen.Routing.Port.Point
getset

Returns or sets the NXOpen.Point that specifies the location of the NXOpen.Routing.IRoutePosition object.

A NULL object indicates that this object is not associated to any point.

Created in NX4.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")

unsafe NXOpen.Point3d NXOpen.Routing.Port.Position
getset

Returns or sets the current location of the object in ABS coordinates.

This value is overridden by the coordinates of the point associated with this object.

Created in NX4.0.0

License requirements to get this property: routing_base ("Routing Basic")

License requirements to set this property: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.